begin;
CREATE OR REPLACE FUNCTION del_cfg_listrow() RETURNS TRIGGER AS $cfg_listrow$
declare del_change_id int;
declare res_name text;
begin
select resource_name into res_name from cfg_instance where instance_id=old.instance_id;
IF (res_name IS NOT NULL) THEN
del_change_id := nextval('cfg_change_id_seq');
insert into cfg_item_change(instance_id, userkey, info1, info2, change_id, op)
select old.instance_id, old.userkey, old.list_value, ''::bytea,
del_change_id, 'D';

update cfg_instance set change_id = del_change_id
where instance_id = old.instance_id
and change_id < del_change_id;
END IF;
return old;
end;
$cfg_listrow$ LANGUAGE plpgsql;
COMMENT ON SCHEMA public IS 'PMX 6.405';	
commit;