package PureMessage::Database::Watchdog::MyLog;

use strict;

require Exporter;
our @ISA = qw(Exporter);
our @EXPORT = qw(
    mylog_init
    mylog_info
    mylog_getMsg
);

my $logdir = '/tmp/';
my $sumMsg = '';

sub mylog_init
{
    my $dir = shift;
    $logdir = $dir;
    $sumMsg = '';
}

sub mylog_info
{
    my $s = shift;
    my ($logsec,$logmin,$loghour,$logmday,$logmon,$logyear,$logwday,$logyday,$logisdst)=localtime(time);
    $logyear += 1900;
    $logmon++;
    my $logtimestamp = sprintf("%4d-%02d-%02d %02d:%02d:%02d",$logyear,$logmon,$logmday,$loghour,$logmin,$logsec);
    my $logfile= $logdir . sprintf("%4d-%02d-%02d", $logyear,$logmon,$logmday). "-pmx-db-watchdog.log";
#    my $logfile="$logdir$logyear-$logmon-$logmday-logfile.log";
    
    $sumMsg .= "$logtimestamp $s\n";

    my $fh;
    open($fh, '>>', "$logfile") or die "$logfile: $!";
    print $fh "$logtimestamp $s\n";
    close($fh);
}

sub mylog_getMsg{
    return $sumMsg;
}
1;
