package PureMessage::Database::Watchdog::MySMTP;

#Aim of this module to create exim spool file from emailreply portal
use strict;
use utf8;
use Net::SMTP;
use Encode;
#use HTML::Parser;
#use Email::MIME;
#use Email::MIME::Creator;   # need astarobuild (to avoid dynamic runtime load)

sub new
{
    my $class = shift;

    my $self = {};
    bless $self, $class;

    $self->{'error'} = '';
    return $self;
}

sub error_msg {
    my ($self) = @_;
    return $self->{'error'};
}

sub send() {
    my ($self, $mailData) = @_;
    $self->{'error'} = '';

    my $smtp = Net::SMTP->new(
        Host    => $mailData->{host},
        Hello   => 'pmx-test',
        Timeout => 30,
        Debug   => 1,
    );
   if(!$smtp){
        $self->{'error'} = "Smtp error: ".$!;    
        return 0; 
   }

    $smtp->mail( $mailData->{from} );
#   $smtp->to( $mailData->{to} );
    my @rcpt = @{$mailData->{recipients}};
    my @goodrecips = $smtp->recipient(@rcpt, { SkipBad => 1 });
#    my @goodrecips = $smtp->recipient('csabapataki@utm-vm-mta-02.esttest.green.sophos', { SkipBad => 1 });
#    my @goodrecips = $smtp->recipient('csabapataki@utm-vm-04-int.esttest.green.sophos', { SkipBad => 1 });
#   $smtp->data($eml);   
  
    $smtp->data();
    $smtp->datasend("Subject: ".$mailData->{subject}. "\n");
    $smtp->datasend($mailData->{body});
    $smtp->dataend(); 
   
    $smtp->quit();
    
    return 1;
}

1;
